aboutsummaryrefslogtreecommitdiffstats
path: root/vextop.sh
diff options
context:
space:
mode:
author1024x22024-08-14 00:25:41 +0100
committer1024x22024-08-14 00:26:28 +0100
commitfdc58caecc427dc398ea8ccafb147a5a1b4a3234 (patch)
treef0bad805616a6e148ed1713dfdfccdcba7ed953d /vextop.sh
parent157fb107d863510e5a9aaf151fe6f5d5d5d87dce (diff)
Add initial Vextop patchset and script
Diffstat (limited to 'vextop.sh')
-rwxr-xr-xvextop.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/vextop.sh b/vextop.sh
new file mode 100755
index 0000000..fa43326
--- /dev/null
+++ b/vextop.sh
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+# Pull the patches repository
+git pull
+
+# Do we have the Vencord sources cloned?
+if [ -e Vencord/.git ]; then
+ # Update sources
+ cd Vencord
+ git fetch
+else
+ # Clone sources
+ git clone https://github.com/Vendicated/Vencord.git Vencord
+ cd Vencord
+fi
+
+# Reset vexcord branch and apply patches
+git checkout -B vexcord origin/main
+git am ../vencord-patches/*.patch
+
+# Build vencord
+pnpm i --frozen-lockfile
+node scripts/build/build.mjs
+
+# Save this for later (Vextop needs it)
+export VENCORD_FILES_DIR="$(realpath dist)"
+
+# Back out of Vencord directory
+cd ..
+
+# Do we have the Vesktop sources cloned?
+if [ -e Vesktop/.git ]; then
+ # Update sources
+ cd Vesktop
+ git fetch
+else
+ # Clone sources
+ git clone https://github.com/Vencord/Vesktop.git Vesktop
+ cd Vesktop
+fi
+
+# Reset vextop branch and apply patches
+git checkout -B vextop origin/main
+git am ../vesktop-patches/*.patch
+
+# Build vesktop
+pnpm i --frozen-lockfile
+pnpm build
+
+# Run vesktop
+pnpm electron .